<?php
class themeAction extends security_normal {
	
	function action(){	
		$themeid=ceil($this->_getParamId(1));
		$reload=0;
		$miceSession = new session();
		if($themeid>0 AND $themeid!=$miceSession->get('index_theme')){
			$reload=1;
		}
		if($themeid<1){
			$themeid='';
		}
		$miceSession->set('index_theme', $themeid);
		if($reload==1){
			echo "<script language='JavaScript'>parent.location.reload();</script>";
		}
		exit;
	}	
}
?>